﻿@model project_asp_mvc.Models.HomeModel

@using project_asp_mvc.Controllers;

<div class="header-area">
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <div class="user-menu">
                    <ul>
                        <li>
                            @if (Session["username"] != null)
                            {
                                <a href="#">
                                    <i class="fa fa-user"></i>
                                    @Session["username"]
                                </a>
                            }
                            else
                            {  <a href="@Url.Action("Index", "User")">
                                <i class="fa fa-user"></i>
                               Account
                            </a>}
                        </li>
                        <li><a href="@Url.Action("Index", "Cart")"><i class="fa fa-user"></i> My Cart</a></li>
                        <li><a href="@Url.Action("Index", "User")"><i class="fa fa-user"></i> Login</a></li>
                    </ul>
                </div>
            </div>

            <div class="col-md-4">
                <div class="header-right">
                        <div class="header-right" style="float: right; margin-top: 9px;">
                            <a href="@Url.Action("SetLanguage", "Language", new { lang = "vn" })" style="text-decoration: none;">
                                <img src="~/Content/images/vn.png" />
                            </a>
                            <a href="@Url.Action("SetLanguage", "Language", new { lang = "en" })" style="margin-left: 10px; text-decoration: none;">
                                <img src="~/Content/images/us.png" />
                            </a>
                        </div>
                </div>
            </div>
        </div>
    </div>
</div> <!-- End header area -->
<div class="site-branding-area">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <div class="logo">
                    <h1><a href="./"><img src="~/Content/images/logo.png"></a></h1>
                </div>
            </div>

            <div class="col-sm-6">
                <div class="shopping-item">
                    @{
                        decimal s = 0;
                        List<Item> totalItem = (List<Item>)Session["cart"];
                    }
                    @if (Session["cart"] == null)
                    {
                        <a href="@Url.Action("Index", "Cart")">
                            Cart - <span class="cart-amunt">0 </span>
                            <i class="fa fa-shopping-cart"></i> <span class="product-count">0</span>
                        </a>
                    }
                    else
                    {
                        foreach (Item item in totalItem)
                        {
                            s += item.Prod.price * item.Quantity;
                        }
                        <a href="@Url.Action("Index", "Cart")">
                            Cart - <span class="cart-amunt">@string.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:C0}", s) </span>
                            <i class="fa fa-shopping-cart"></i> <span class="product-count">@totalItem.Count</span>
                        </a>
                    }
                   
                </div>
            </div>
        </div>
    </div>
</div> <!-- End site branding area -->
<div class="mainmenu-area">
    <div class="container">
        <div class="row">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
            </div>
            <div id="menu" class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li class="active"><a href="@Url.Action("Index","Home")"><i class="fa fa-home fa-3" aria-hidden="true"></i></a></li>
                    @*<li><a href="shop.html"></a></li>*@

                    <!-- foreach menu cha -->
                    @foreach (var ParentMenu in Model.ListCategoiesParent)
                    {
                        <li>
                            <a href="#">@ParentMenu.name</a>
                            <ul class="sub-menu">
                                <!-- foreach Sub menu-->
                                @foreach (var SubMenu in Model.ListSubCategoiesHeader)
                                {
                                    if (ParentMenu.id == SubMenu.parent_id)
                                    {
                                        <li><a href="@Url.Action("CategoryById","Product", new { id = SubMenu.id })">@SubMenu.name</a></li>
                                    }
                                }

                            </ul>
                        </li>
                    }
                    <!-- End foreach-->
                </ul>
            </div>
        </div>
    </div>
</div> <!-- End mainmenu area -->